libzypp: zypp::repo::PackageProvider::Impl Class Reference

libzypp 17.38.9

zypp::repo::PackageProvider::Impl Class Referenceabstract

PackageProvider implementation interface. More...

Inheritance diagram for zypp::repo::PackageProvider::Impl:

## Public Member Functions
| Impl ()
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
virtual | ~Impl ()
virtual ManagedFile | providePackage () const =0
| Provide the package.
virtual ManagedFile | providePackageFromCache () const =0
| Provide the package if it is cached.
virtual bool | isCached () const =0
| Whether the package is cached.

## Detailed Description

PackageProvider implementation interface.

Definition at line 86 of file PackageProvider.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::repo::PackageProvider::Impl::Impl | ( |  | ) |
| inline

Definition at line 88 of file PackageProvider.cc.

## ◆ Impl() [2/3]

zypp::repo::PackageProvider::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::repo::PackageProvider::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

virtual zypp::repo::PackageProvider::Impl::~Impl | ( |  | ) |
| inlinevirtual

Definition at line 93 of file PackageProvider.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::repo::PackageProvider::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::repo::PackageProvider::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ providePackage()

virtual ManagedFile zypp::repo::PackageProvider::Impl::providePackage | ( |  | ) | const
| pure virtual

Provide the package.

The basic workflow.

Exceptions

  Exception. |

Implemented in zypp::repo::PackageProviderImpl< TPackage >, and zypp::repo::PackageProviderImpl< Package >.

## ◆ providePackageFromCache()

virtual ManagedFile zypp::repo::PackageProvider::Impl::providePackageFromCache | ( |  | ) | const
| pure virtual

Provide the package if it is cached.

Implemented in zypp::repo::PackageProviderImpl< TPackage >, and zypp::repo::PackageProviderImpl< Package >.

## ◆ isCached()

virtual bool zypp::repo::PackageProvider::Impl::isCached | ( |  | ) | const
| pure virtual

Whether the package is cached.

Implemented in zypp::repo::PackageProviderImpl< TPackage >, and zypp::repo::PackageProviderImpl< Package >.

The documentation for this class was generated from the following file:

- zypp/repo/PackageProvider.cc